## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybaseViewTable

All Superinterfaces:
  DerivedTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseAuthorizedObject, Table, ViewTable

All Known Subinterfaces:
  SybaseASABaseViewTable, SybaseASEViewTable

All Known Implementing Classes:
  SybaseASABaseViewTableImpl, SybaseASACatalogBaseViewTable, SybaseASECatalogView, SybaseASEViewTableImpl, SybaseViewTableImpl

    public interface SybaseViewTable

extends ViewTable, SybaseAuthorizedObject

A representation of the model object 'Sybase View Table'.

See Also:
  `SybasesqlmodelPackage.getSybaseViewTable()`

Method Summary
`boolean` `isSystem()`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.ViewTable
`getCheckType, setCheckType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.DerivedTable
`getQueryExpression, setQueryExpression`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isSystem

    boolean isSystem()